List Cluster Access Grants Endpoint
import requests
url = "https://platform.ankra.app/api/v1/clusters/{cluster_id}/access/grants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/{cluster_id}/access/grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/{cluster_id}/access/grants \
--header 'Authorization: Bearer <token>'{
"result": [
{
"ankra_user_id": "<string>",
"cluster_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"namespace": "<string>",
"organisation_id": "<string>",
"reconcile_error": "<string>",
"reconcile_status": "pending",
"reconciled_at": "2023-11-07T05:31:56Z",
"role": "view",
"scope": "cluster",
"user_email": "<string>"
}
]
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Cluster Access
List Cluster Access Grants Endpoint
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
access
/
grants
List Cluster Access Grants Endpoint
import requests
url = "https://platform.ankra.app/api/v1/clusters/{cluster_id}/access/grants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/{cluster_id}/access/grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/{cluster_id}/access/grants \
--header 'Authorization: Bearer <token>'{
"result": [
{
"ankra_user_id": "<string>",
"cluster_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"namespace": "<string>",
"organisation_id": "<string>",
"reconcile_error": "<string>",
"reconcile_status": "pending",
"reconciled_at": "2023-11-07T05:31:56Z",
"role": "view",
"scope": "cluster",
"user_email": "<string>"
}
]
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes